Skip to main content
GET
/
post
Get all posts
curl --request GET \
  --url https://api.sendx.io/api/v1/rest/post \
  --header 'X-Team-ApiKey: <api-key>'
import requests

url = "https://api.sendx.io/api/v1/rest/post"

headers = {"X-Team-ApiKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Team-ApiKey': '<api-key>'}};

fetch('https://api.sendx.io/api/v1/rest/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "post_XyZ123aBc456DeF789GhI",
    "name": "Summer Product Launch",
    "postTitle": "Introducing Our New Summer Collection",
    "postDescription": "<string>",
    "postCategory": "post_category_YzS1wOU20yw87UUHKxMzwn",
    "member": "member_JkL012MnO345PqR678",
    "postThumbnail": "<string>",
    "isPublished": true,
    "includedTags": [
      "post_tag_123XyZ456AbC"
    ],
    "postSlug": "introducing-summer-collection",
    "status": 123,
    "pageTitle": "<string>",
    "pageDescription": "<string>",
    "pageKeywords": "<string>",
    "socialTitle": "<string>",
    "socialDescription": "<string>",
    "socialImageUrl": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "updated": "2023-11-07T05:31:56Z"
  }
]
{
"status": 401,
"message": "The Team ID or API Key specified is not valid"
}

Authorizations

X-Team-ApiKey
string
header
required

Team API key for authentication. Find your API key in SendX Settings → Team API Key.

Example:

X-Team-ApiKey: your_team_api_key_here

Query Parameters

offset
integer
default:0

Number of posts to skip

Required range: x >= 0
limit
integer
default:10

Maximum number of posts to return

Required range: 1 <= x <= 100

Response

✅ Posts retrieved successfully

id
string
Example:

"post_XyZ123aBc456DeF789GhI"

name
string
Example:

"Summer Product Launch"

postTitle
string
Example:

"Introducing Our New Summer Collection"

postDescription
string
postCategory
string
Example:

"post_category_YzS1wOU20yw87UUHKxMzwn"

member
string
Example:

"member_JkL012MnO345PqR678"

postThumbnail
string<uri>
isPublished
boolean
includedTags
string[]
postSlug
string
Example:

"introducing-summer-collection"

status
integer
pageTitle
string
pageDescription
string
pageKeywords
string
socialTitle
string
socialDescription
string
socialImageUrl
string<uri>
created
string<date-time>
updated
string<date-time>